Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.spi.swt.actions
Class ECPSWTAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.emf.ecp.edit.spi.swt.actions.ECPSWTAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction

Direct Known Subclasses:
  AbstractFilteredReferenceAction, AddAttributeAction, AddReferenceAction, DeleteReferenceAction, NewReferenceAction

    public abstract class ECPSWTAction

extends org.eclipse.jface.action.Action

An abstract action used by ecp.

Since:
  1.5
Author:
  Eugen Neufeld

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`ECPSWTAction(org.eclipse.emf.edit.domain.EditingDomain editingDomain, org.eclipse.emf.ecore.EStructuralFeature.Setting setting)` The constructor of all ecp actions.

Method Summary
`boolean` | `equals(Object other)`
`org.eclipse.emf.edit.domain.EditingDomain` | `getEditingDomain()` The set `EditingDomain`.
`int` | `hashCode()`

Methods inherited from class org.eclipse.jface.action.Action
`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, run, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPSWTAction

    public ECPSWTAction(org.eclipse.emf.edit.domain.EditingDomain editingDomain,
                        org.eclipse.emf.ecore.EStructuralFeature.Setting setting)

  The constructor of all ecp actions.

  Parameters:
    `editingDomain` - the `EditingDomain` to use
    `setting` - the `EStructuralFeature.Setting` to use

Method Detail

### getEditingDomain

    public org.eclipse.emf.edit.domain.EditingDomain getEditingDomain()

  The set `EditingDomain`.

  Returns:
    the `EditingDomain`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.